Ubuntu

breaks dist-upgrade: E: Couldn't configure pre-depend openoffice.org-core for openoffice.org-filter-binfilter, probably a dependency cycle.

Reported by Grizzly(Francis Smit) on 2010-02-03
146
This bug affects 35 people
Affects Status Importance Assigned to Milestone
openoffice.org (Debian)
Fix Released
Unknown
openoffice.org (Ubuntu)
Critical
Chris Cheney
Lucid
Critical
Chris Cheney
update-manager (Ubuntu)
High
Michael Vogt
Lucid
High
Michael Vogt

Bug Description

Binary package hint: openoffice.org-filter-binfilter

OK the dist upgrade program and synaptic both get this error when I try to update my system:

E: Couldn't configure pre-depend openoffice.org-core for openoffice.org-filter-binfilter, probably a dependency cycle.

1). root@pern:~# lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04

2). root@pern:~# apt-cache policy openoffice.org-core openoffice.org-filter-binfilter
openoffice.org-core:
  Installed: 1:3.1.1-5ubuntu3
  Candidate: 1:3.2.0~rc4-1ubuntu1
  Version table:
     1:3.2.0~rc4-1ubuntu1 0
        500 http://archive.ubuntu.com lucid/main Packages
 *** 1:3.1.1-5ubuntu3 0
        100 /var/lib/dpkg/status
openoffice.org-filter-binfilter:
  Installed: 1:3.1.1-5ubuntu3
  Candidate: 1:3.2.0~rc4-1ubuntu1
  Version table:
     1:3.2.0~rc4-1ubuntu1 0
        500 http://archive.ubuntu.com lucid/main Packages
 *** 1:3.1.1-5ubuntu3 0
        100 /var/lib/dpkg/status

3). expected to be able to update my system

4). instead got this error

OK got it unstuck by doing:

root@pern:~# cd /var/cache/apt/archives
dpkg --install openoffice.org*

that didn't entirely succeed but it did enough dist-upgrade worked after that
so now I'm up to date :)

Jouni Mettala (jouni-mettala) wrote :

Removed openoffice.org-filter-binfilter and upgrade succeeded.

Changed in openoffice.org (Ubuntu):
status: New → Confirmed
Paul Sladen (sladen) wrote :

Breaks upgrade.

Changed in openoffice.org (Ubuntu):
importance: Undecided → Critical
summary: - could not do system upgrade error message E: Couldn\'t configure pre-
- depend openoffice.org-core for openoffice.org-filter-binfilter, probably
- a dependency cycle.
+ breaks dist-upgrade: E: Couldn't configure pre-depend openoffice.org-
+ core for openoffice.org-filter-binfilter, probably a dependency cycle.
Changed in openoffice.org (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
status: Confirmed → Triaged
Changed in openoffice.org (Ubuntu Lucid):
assignee: Canonical Desktop Team (canonical-desktop-team) → Chris Cheney (ccheney)
Chris Cheney (ccheney) wrote :
Download full text (8.8 KiB)

Michael,

If I remember correctly at the sprint you said you thought this might be a bug of some sort in apt? Does that sound correct with the below package listings?

They both replaces old copies of each other but the versions are from older than Karmic which has 1:3.1.1-5ubuntu1.

Thanks,

Chris

---

Package: openoffice.org-filter-binfilter
Priority: optional
Section: misc
Installed-Size: 27972
Origin: Ubuntu
Maintainer: Ubuntu Core Developers <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Architecture: amd64
Source: openoffice.org
Version: 1:3.2.0~rc4-1ubuntu1
Replaces: openoffice.org-calc (<< 1.9.113-0pre1), openoffice.org-core (<< 1:3.1.1~rc1-2), openoffice.org-filter-so52, openoffice.org-math (<< 1.9.113-0pre1), openoffice.org2-core (<= 1.9.108-1), openoffice.org2-filter-so52
Provides: openoffice.org-filter-so52, openoffice.org2-filter-so52
Depends: openoffice.org-core (= 1:3.2.0~rc4-1ubuntu1), libc6 (>= 2.11), libgcc1 (>= 1:4.1.1), libicu42 (>= 4.2-1), libjpeg62, libstdc++6 (>= 4.1.1), ure (>= 1.4.0)
Pre-Depends: openoffice.org-common (>= 1:3.1.0-2), openoffice.org-core (>= 1:3.1.0-2), debconf (>= 0.5) | debconf-2.0, procps
Conflicts: openoffice.org-filter-so52, openoffice.org2-filter-so52
Filename: pool/main/o/openoffice.org/openoffice.org-filter-binfilter_3.2.0~rc4-1ubuntu1_amd64.deb
Size: 6637344
MD5sum: a0b2389b763bfbee1e3815d1252cdfca
Description: full-featured office productivity suite -- legacy filters (e.g. StarOffice 5.2)
 OpenOffice.org is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the "binfilters", legacy filters for
  - the old StarOffice 5.2 formats
  - StarWriter 1.0/2.0
  - StarWriter/DOS
  - *Writer* filters for
    + Excel
    + Lotus
Original-Maintainer: Debian OpenOffice Team <email address hidden>
SHA1: 21cf2ceb2a1fc7487bc3fafd97ea78b8a32cf575
SHA256: 08a0815a7854aeb7937567d9a0cb26313992317c9b4d4fe60b37d0af4f384f85
Homepage: http://www.go-oo.org
Supported: 18m

---

Package: openoffice.org-core
Priority: optional
Section: editors
Installed-Size: 134292
Origin: Ubuntu
Maintainer: Ubuntu Core Developers <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Architecture: amd64
Source: openoffice.org
Version: 1:3.2.0~rc4-1ubuntu1
Replaces: openoffice.org (<< 1.9), openoffice.org-bin, openoffice.org-calc (<< 2.2.1~oof680m15-2), openoffice.org-common (<< 1:3.0.1~rc1-2), openoffice.org-filter-binfilter (<< 1:3.1.0-5), openoffice.org-gtk (<< 2.0.3+2.0.4m179), openoffice.org-headless (<< 1:3.0.0~dev300m26), openoffice.org-hunspell, openoffice.org-java, openoffice.org2-core, openoffice.org2-hunspell
Provides: openoffice.org-bundled, openoffice.org-headless, openoffice.org-hunspell, openoffice.org-java, openoffice.org2-core, openoffice.org2-hunspell
Depends: openoffice.org-common (>> 1:3.2.0~rc4), ttf-opensymbol (>= 1:3.0), libc6 (>= 2.11), libcairo2 (>= 1.2.4), libcurl3 (>= 7.16.2-1), libdb4.8, libexpat1 (>= 1.95.8), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libglib2.0-0 (>= 2.12.0), libgraphite3 (>= 1:2.3), libgstreamer-plugins-base0.10-0...

Read more...

Chris Cheney (ccheney) wrote :

Assigning to mvo, the package might be wrong but seems to be something in apt itself.

10:20 < mvo> ccheney: I have a look later, it appears we have this bug every
             cycle
10:20 < mvo> s/bug/problem/

affects: openoffice.org (Ubuntu Lucid) → apt (Ubuntu Lucid)
Changed in apt (Ubuntu Lucid):
assignee: Chris Cheney (ccheney) → Michael Vogt (mvo)
Michael Vogt (mvo) wrote :

Reassigning back to openoffice, debian had the bug too and its fixed there already.

affects: apt (Ubuntu Lucid) → openoffice.org (Ubuntu Lucid)
affects: apt (Debian) → openoffice.org (Debian)
Changed in openoffice.org (Ubuntu Lucid):
assignee: Michael Vogt (mvo) → nobody
Michael Vogt (mvo) on 2010-03-16
Changed in openoffice.org (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-1
Michael Vogt (mvo) wrote :

I'm addng a update-manger task to provide a workaround for beta-1. Its not feasible to get a new OOo in time for beta1

Changed in update-manager (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-1
Changed in openoffice.org (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2
Changed in update-manager (Ubuntu Lucid):
status: New → Confirmed
importance: Undecided → High
Michael Vogt (mvo) on 2010-03-16
Changed in update-manager (Ubuntu Lucid):
status: Confirmed → Fix Committed
assignee: nobody → Michael Vogt (mvo)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.133.3

---------------
update-manager (1:0.133.3) lucid; urgency=low

  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - do not allow upgrades to openoffice.org-filter-binfilter that
      causes pre-depends loop (LP: #516727)
 -- Michael Vogt <email address hidden> Tue, 16 Mar 2010 22:59:02 +0100

Changed in update-manager (Ubuntu Lucid):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2010-03-19
Changed in openoffice.org (Ubuntu Lucid):
assignee: nobody → Chris Cheney (ccheney)
sw40c (mkirwin) wrote :

This bug still exists when upgrading from 9.10 to 10.4 beta despite all updates being installed.

hi_dencity (hi-dencity) wrote :

Here's a workaround:
sudo echo “openoffice.org-filter-binfilter hold” | sudo dpkg --set-selections
Then do the dist upgrade

Trying to upgrade from 9.10 to 10.04 LTS but I can't due to this bug.

Andreas Koch (akoch-it) wrote :

same here.
openoffice.org-filter-binfilter was not installed.
but i get this error when i try a "update-manager -d"...

after completely uninstalling openoffice, the update is now in progress!

Chris Cheney (ccheney) wrote :

I think this bug is fixed in 3.2.0-4ubuntu1 please follow up to this bug letting me know if you continue to have trouble upgrading due to issues relating to this.

Chris Cheney (ccheney) on 2010-03-24
Changed in openoffice.org (Ubuntu Lucid):
status: Triaged → Fix Released

The bug still exists upgrading from 9.10 to 10.4 Beta2. Upgrade failed. I didn't try out by first uninstalling openoffice and run "update-manager -d" afterwards. Will wait for the definitive version before trying again.

Paul Sladen (sladen) wrote :

Frank: how did you attempt the upgrade? Using 'update-manager'/'do-release-upgrade', or with 'apt-get dist-upgrade'

Ramesh (ramesh1-k) wrote :

The bug still exists while trying to upgrade from 8.04 to 10.4 Beta2. Upgrade failed. I used update-manager -d" to upgrade.

Michael Vogt (mvo) wrote :

With the latest openoffice.org upload this bug has come back, logs e.g. on:
http://people.canonical.com/~mvo/automatic-upgrade-testing/current/lts-main-all/main.log

Changed in openoffice.org (Ubuntu Lucid):
status: Fix Released → Confirmed

I used "update manager -d" by clicking Alt F2 and typed the "update manager -d" command. My first install of Ubuntu was 8.04 which I upgraded in several steps to 9.10. I tried to upgrade now to 10.4 Beta 2, which failed.

Alain L'Hostis (mapnod) wrote :

I used trick proposed by Mouni Mattala posted on top of the topic, to remove the binfilters of openoffice.
Had the pb with "update manager -d" by clicking Alt F2.
Now installing.

Steve Langasek (vorlon) on 2010-04-21
Changed in openoffice.org (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04
papukaija (papukaija) on 2010-04-21
tags: added: karmic2lucid regression-potential regression-update
Steve Langasek (vorlon) on 2010-04-21
tags: removed: regression-potential regression-update
Michael Vogt (mvo) wrote :

There is a merge proposal here:
https://code.edge.launchpad.net/~mvo/openoffice/3.2.0-lucid/+merge/23875

and I uploaded a updated package to my PPA at:
https://edge.launchpad.net/~mvo/+archive/openoffice

I tested the patch and installed/removed packges and also tested karmic -> lucid
openoffice only upgrade that worked fine afaict. I will do more testing tomorrow
including a full upgrade.

Feedback/review of the diff is very welcome.

Steve Langasek (vorlon) wrote :

The code looks good to me overall (and consistent with how I thought this should've been done in the first place!).

Just a few comments:

- you guard the code with checks for 'configure' or 'upgrade'. First, 'upgrade' isn't a supported argument to postinst; second, shouldn't most of the other ways the maintainer scripts are invoked *also* trigger this? I.e., 'postinst abort-upgrade' should certainly restore the registry, and I think 'prerm remove' and 'prerm deconfigure' should as well. I think it's best to not be selective about the maintainer script arguments at all.
- you have code in place to make sure individual components don't register themselves while -core is in an unconfigured state; but there doesn't seem to be any code to ensure that, when -core is configured, it doesn't register *components* that are in an unconfigured state - doesn't this mean there's a window again where things are registered that shouldn't be?

(BTW, it's certainly too intrusive to make this change now for lucid, but this scenario would appear to *exactly* fit the triggers workflow...)

Michael Vogt (mvo) wrote :

Thanks for the review and your comments!

For the guarding, I used what the "openoffice.org-evolution.postinst" was using. I will update that code according to your comments and talk with upstream about it.

A component in unconfigured state does no harm. When the component shared lib is there (after unpack) it can be registered from -core and again (without ill effects) from the openoffice.org-evolution.postinst.

Michael Vogt (mvo) wrote :

I updated the code in my branch to remove the check on "configure" in openoffice.org-core.postinst.in

Timo Jyrinki (timo-jyrinki) wrote :

Sounds so similar that this will probably fix also bug #562948. (openoffice.org-voikko circular dependency when trying 8.04 LTS -> 10.04 LTS)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org - 1:3.2.0-7ubuntu4

---------------
openoffice.org (1:3.2.0-7ubuntu4) lucid; urgency=low

  [ Michael Vogt ]
  * change the way components like -evolution or -filter-binfilter are
    registered so that we do not need to pre-depends on
    openoffice.org-core anymore (LP: #516727, #566584)

  [ Matthias Klose ]
  * debian/rules:
    - no not use lzma on armel (LP: #568940)
 -- Michael Vogt <email address hidden> Wed, 21 Apr 2010 09:09:37 +0200

Changed in openoffice.org (Ubuntu Lucid):
status: Confirmed → Fix Released
Chris Cheney (ccheney) wrote :

Thanks for fixing this, I think I must have misread Steve's ending comment and thought this fix wouldn't be approved for Lucid. I'm glad to see I misunderstood the comment. :-)

Changed in openoffice.org (Ubuntu):
status: Fix Released → New
assignee: Chris Cheney (ccheney) → Владислав (vlad-melanitski)
status: New → Incomplete
status: Incomplete → New
Chris Cheney (ccheney) wrote :

Владислав,

What do you think you are doing? It appears you think you are fixing this bug (assigning it to yourself) and that it is not fixed yet?

Chris

Changed in openoffice.org (Ubuntu):
assignee: Владислав (vlad-melanitski) → Chris Cheney (ccheney)
status: New → Fix Released
Changed in openoffice.org (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.